<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'aboutus', 'about_area', $color='#fff', get_template_directory_uri().'/images/feature.png', 'img');


lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Set Section Padding ');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '8em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'about_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_title_heading',
        array(
            'settings'      => 'about_title_heading',
            'section'       => 'about_area',
            'label'         => __( ' Section Heading & Subheading', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'aboutsubtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'About us', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutsubtitle',
    array(
        'settings'      => 'aboutsubtitle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_secsbuheading', 'about_area', 'Heading Color ', '#FF6F00');


$wp_customize->add_setting(
    'about_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'WE’RE COMMITTED TO QUALITY', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title',
    array(
        'settings'      => 'about_title',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_sectitle_color', 'about_area', 'Section Sub Heading Color ', '#222A35');


$wp_customize->add_setting(
    'about_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_text',
    array(
        'settings'      => 'about_text',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Section Text Color', '#8D8D8D');

lzCustomLable($wp_customize, 'abtbtn', 'about_area' , 'Section Button');

$wp_customize->add_setting(
    'abtbtntxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'abtbtntxt',
    array(
        'settings'      => 'abtbtntxt',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Button Text', 'luzuk-premium' )
    )
);
$wp_customize->add_setting('abtbtnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('abtbtnlink',
    array(
        'settings'      => 'abtbtnlink',
        'section'       => 'about_area',
        'type'          => 'url',
        'label'         => __( 'Add "Button" link here', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_btntext', 'about_area', 'Button Text Color', '#fff7c3');

addColorPalatOption($wp_customize, 'about_area_btntexthv', 'about_area', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_btnbg', 'about_area', 'Button BG Color', '#FF6F00');

addColorPalatOption($wp_customize, 'about_area_btnbghv', 'about_area', 'Button BG Hover Color', '#ffa62e');
addColorPalatOption($wp_customize, 'about_area_btnbdr', 'about_area', 'Button Border Color', '#FF6F00');

$wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'aboutus_npp_heading',
        array(
            'settings'      => 'aboutus_npp_heading',
            'section'       => 'about_area',
            'label'         => __( 'Number Of About Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'aboutus_npp_count',
    array(
        'settings'      => 'aboutus_npp_count',
        'section'       => 'about_area',
        'type'          => 'select',
        'label'         => __( 'Number Of About Plan To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'aboutus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'aboutus_header'.$i,
            array(
                'settings'      => 'aboutus_header'.$i,
                'section'       => 'about_area',
                'label'         => __( 'About Plan ', 'luzuk-premium' ).$i
            )
        )
    );

//lzAddImageElement($wp_customize, 'aboutus_page_icon'.$i, 'about_area', $label="Recommended Image Size: 150X150px");

     $wp_customize->add_setting(
        'aboutus_page_icon'.$i,
        array(
            'default'           => 'fa fa-gears',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'aboutus_page_icon'.$i,
            array(
                'settings'      => 'aboutus_page_icon'.$i,
                'section'       => 'about_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );
lzAddElement($wp_customize, 'aboutus_page_number'.$i, 'about_area', $type = 'text', $label="Number", $callback ='luzuk_sanitize_text', $default='380+');

lzAddElement($wp_customize, 'aboutus_page_title'.$i, 'about_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Project Completed');

}

lzCustomLable($wp_customize, 'Sec_abtclor', 'about_area' , 'About Plan Color Setting');

addColorPalatOption($wp_customize, 'about_area_pagebxicn1', 'about_area', 'Section Icon Color 1', '#FFA200');
addColorPalatOption($wp_customize, 'about_area_pagebxicn2', 'about_area', 'Section Icon Color 2', '#FF6F00');
addColorPalatOption($wp_customize, 'about_area_pagenum', 'about_area', 'Section Number Color', '#222A35');
addColorPalatOption($wp_customize, 'about_area_pagetitle', 'about_area', 'Section Title Color', '#222A35');

$wp_customize->add_setting(
    'about_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image_heading',
        array(
            'settings'      => 'about_image_heading',
            'section'       => 'about_area',
            'label'         => __( 'Section Right Side Image', 'luzuk-premium' ),
        )
    )
);
$wp_customize->add_setting(
    'about_image_anim_display',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'off', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'about_image_anim_display',
        array(
            'settings'      => 'about_image_anim_display',
            'section'       => 'about_area',
            'label'         => __( 'Display Image', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'No', 'Luzuk' ),
                'off' => __( 'Yes', 'Luzuk' )
            ),
        )
    )
);
$wp_customize->add_setting(
    'about_image_anim',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image_anim',
        array(
            'section' => 'about_area',
            'settings' => 'about_image_anim',
            'description' => __('Recommended Animation Image Size: 160X160px', 'luzuk-premium')
        )
    )
);

$wp_customize->add_setting(
    'about_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image',
        array(
            'section' => 'about_area',
            'settings' => 'about_image',
            'description' => __('Recommended Image Size: 630X670px', 'luzuk-premium')
        )
    )
);
$wp_customize->add_setting(
    'aboutimglebalyear',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '30', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutimglebalyear',
    array(
        'settings'      => 'aboutimglebalyear',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'No. Of Year', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'aboutimglebal',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'YEAR Exprience', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutimglebal',
    array(
        'settings'      => 'aboutimglebal',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Image Label Text', 'luzuk-premium' )
    )
);
addColorPalatOption($wp_customize, 'about_secimglbnotxt', 'about_area', 'Image Label No. Color ', '#fffcdf');
addColorPalatOption($wp_customize, 'about_secimglbtxt', 'about_area', 'Image Label Text Color ', '#fffcdf');
addColorPalatOption($wp_customize, 'about_secimglbtxtbdr', 'about_area', 'Image Label Text Border Color ', '#fffcdf');
addColorPalatOption($wp_customize, 'about_secimglbbg1', 'about_area', 'Image Label BG Color 1', '#FFA200');
addColorPalatOption($wp_customize, 'about_secimglbbg2', 'about_area', 'Image Label BG Color 2', '#FF6F00');